/*
 * ispresizer.h
 *
 * TI OMAP3 ISP - Resizer module
 *
 * Copyright (C) 2010 Nokia Corporation
 * Copyright (C) 2009 Texas Instruments, Inc
 *
 * Contacts: Laurent Pinchart <laurent.pinchart@ideasonboard.com>
 *	     Sakari Ailus <sakari.ailus@maxwell.research.nokia.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef OMAP3_ISP_CCDC_VP_H
#define OMAP3_ISP_CCDC_VP_H

#include <linux/types.h>
#include <media/v4l2-ctrls.h>

/* Sink and source pads */
#define CCDC_VP_PAD_SOURCE			0
#define CCDC_VP_PADS_NUM			1

/*
 * struct isp_ccdc_vps_device - OMAP3 ISP dummy module
 */
struct isp_ccdc_vp_device {
	struct v4l2_subdev subdev;
	struct media_pad pads[CCDC_VP_PADS_NUM];
	struct v4l2_mbus_framefmt formats[CCDC_VP_PADS_NUM];

	struct v4l2_ctrl_handler ctrls;

	unsigned int error;

	int pm_state;
	enum isp_pipeline_stream_state state;
};

struct isp_device;

int isp_ccdc_vp_init(struct isp_device *isp);
void isp_ccdc_vp_cleanup(struct isp_device *isp);

int isp_ccdc_vp_register_entities(struct isp_ccdc_vp_device *ccdc_vp,
				  struct v4l2_device *vdev);
void isp_ccdc_vp_unregister_entities(struct isp_ccdc_vp_device *ccdc_vp);

#if PRINT_GRAPH_EN
void print_graph(struct isp_pipeline *pipe);
#endif

#endif	/* OMAP3_ISP_CCDC_VP_H */
